Subject: Use asciidoctor to build the manpages
Author: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Last-Update: 2018-08-11
Bug: https://github.com/latchset/tang/issues/32

--- a/Makefile.am
+++ b/Makefile.am
@@ -32,7 +32,7 @@
 
 $(top_builddir)/%.roff: %.adoc
 	$(MKDIR_P) $$(dirname $@)
-	$(A2X) -f manpage $^ -D $(top_builddir)/$$(dirname $@)
+	$(A2X) --attribute reproducible --backend=manpage  $^ -D $(top_builddir)/$$(dirname $@)
 	$(INSTALL) -m 644 $(top_builddir)/$(@:.roff=) $(top_builddir)/$@
 
 man1_MANS += doc/tang-show-keys.1
--- a/configure.ac
+++ b/configure.ac
@@ -75,7 +75,7 @@
 "
 AC_SUBST([TANG_CFLAGS])
 
-AC_CHECK_PROGS(A2X, [a2x])
+AC_CHECK_PROGS(A2X, [asciidoctor])
 
 if test "x$A2X" = "x"; then
    AC_MSG_WARN([asciidoc / a2x not found -- man pages will not be generated and installed])
